Web Componentsはどうなっとるんじゃ@2017/10版

一部v0扱いでオワコンになって実装し直しになったり散々ですよ

機能名 Chrome Firefox Safari Edge IE
HTML Template ○2014/03 v35より対応 ○2013/03 v22より対応 ○2015/10 v9で対応 △2015/10 v13で一部対応 × 2013/10 v11で未対応
HTML Imports ○2014/07 v36より対応 △2014/09 v32よりデフォルトオフで対応 ×2017/09 v11で未対応 ×2017/04 v15で未対応 × 2013/10 v11で未対応
Custom Elements v1 △2016/10 v54より一部対応 △2017/09 v56で未対応 △2017/09 v11で一部対応 ×2017/04 v15で未対応 × 2013/10 v11で未対応
Shadow DOM v1 ○2016/08 v53より対応 ×2017/10 v56で非対応 △2016/09 v10で一部対応 ×2017/04 v15で未対応 × 2013/10 v11で未対応
Custom Elements v0 ○2014/02 v33より対応 △2013/06 v23よりデフォルトオフで対応 ×2017/09 v11で未対応 ×2017/04 v15で未対応 × 2013/10 v11で未対応
Shadow DOM v0 ○2014/03 v35より対応 △2014/04 v29よりデフォルトオフで対応 ×2017/09 v11で未対応 ×2017/04 v15で未対応 × 2013/10 v11で未対応

全然使い物にならねーなこれ。Firefoxsafariは時間が解決してくれそうだけど、Edgeが全然使い物にならねー。要望ではトップなのに、これわざと対応してないの?